package com.trafficparrot.examples.hello.ibmmq;

import com.ibm.mq.MQException;
import org.junit.Test;

import java.io.IOException;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;

public class HelloWorldIbmMqTopicIntegrationTest {
    private final IbmMqClient ibmMqClient = new IbmMqClient();

    @Test(timeout = 30_000)
    public void helloWorldIbmMqTopic() throws IOException, MQException, InterruptedException {
        WaitForOneIbmMqMessage waitForOneIbmMqMessage = ibmMqClient.listenOnIbmMqTopic("DEV.RESPONSE.TOPIC");
        ibmMqClient.sendIbmMqMessageToTopic("DEV.REQUEST.TOPIC", "hello");

        String response = waitForOneIbmMqMessage.awaitMessage();

        assertThat(response, is("world"));
    }
}
